## Index

### Functions

- computeReshapedDimensions
- getCenterPoint
- isDimensions
- isEven
- isFloat
- isTensor
- isTensor1D
- isTensor2D
- isTensor3D
- isTensor4D
- isValidNumber
- isValidProbablitiy
- range
- round

## Functions

### computeReshapedDimensions

- computeReshapedDimensions(__namedParameters: IDimensions, inputSize: number): Dimensions

- - Defined in utils/index.ts:43

  #### Parameters

  - ##### __namedParameters: IDimensions

  - ##### inputSize: number

  #### Returns Dimensions

### getCenterPoint

- getCenterPoint(pts: Point[]): Point

- - Defined in utils/index.ts:48

  #### Parameters

  - ##### pts: Point[]

  #### Returns Point

### isDimensions

- isDimensions(obj: any): boolean

- - Defined in utils/index.ts:39

  #### Parameters

  - ##### obj: any

  #### Returns boolean

### isEven

- isEven(num: number): boolean

- - Defined in utils/index.ts:30

  #### Parameters

  - ##### num: number

  #### Returns boolean

### isFloat

- isFloat(num: number): boolean

- - Defined in utils/index.ts:26

  #### Parameters

  - ##### num: number

  #### Returns boolean

### isTensor

- isTensor(tensor: any, dim: number): boolean

- - Defined in utils/index.ts:6

  #### Parameters

  - ##### tensor: any

  - ##### dim: number

  #### Returns boolean

### isTensor1D

- isTensor1D(tensor: any): tensor is any

- - Defined in utils/index.ts:10

  #### Parameters

  - ##### tensor: any

  #### Returns tensor is any

### isTensor2D

- isTensor2D(tensor: any): tensor is any

- - Defined in utils/index.ts:14

  #### Parameters

  - ##### tensor: any

  #### Returns tensor is any

### isTensor3D

- isTensor3D(tensor: any): tensor is any

- - Defined in utils/index.ts:18

  #### Parameters

  - ##### tensor: any

  #### Returns tensor is any

### isTensor4D

- isTensor4D(tensor: any): tensor is any

- - Defined in utils/index.ts:22

  #### Parameters

  - ##### tensor: any

  #### Returns tensor is any

### isValidNumber

- isValidNumber(num: any): boolean

- - Defined in utils/index.ts:57

  #### Parameters

  - ##### num: any

  #### Returns boolean

### isValidProbablitiy

- isValidProbablitiy(num: any): boolean

- - Defined in utils/index.ts:61

  #### Parameters

  - ##### num: any

  #### Returns boolean

### range

- range(num: number, start: number, step: number): number[]

- - Defined in utils/index.ts:53

  #### Parameters

  - ##### num: number

  - ##### start: number

  - ##### step: number

  #### Returns number[]

### round

- round(num: number, prec?: number): number

- - Defined in utils/index.ts:34

  #### Parameters

  - ##### num: number

  - ##### prec: number = 2

  #### Returns number